Bug 769444 - (korundum, ruby-korundum) Review Request: ruby-korundum - Ruby bindings for KDE libraries
Review Request: ruby-korundum - Ruby bindings for KDE libraries
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kde-4.8
  Show dependency treegraph
 
Reported: 2011-12-20 15:53 EST by Rex Dieter
Modified: 2012-01-25 17:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-03 08:59:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2011-12-20 15:53:45 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdebindings/korundum.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdebindings/korundum-4.7.90-1.fc16.src.rpm
Description:
Ruby bindings for libraries created by the KDE community.
Comment 1 Rex Dieter 2011-12-20 15:56:57 EST
On second thought, after reading over
https://fedoraproject.org/wiki/Packaging/Ruby#Naming_Guidelines
seems a name like ruby-kde would be more compliant, maybe I'll ask someone with some ruby-fu for advice here.
Comment 2 Bohuslav "Slavek" Kabrda 2011-12-21 06:48:41 EST
I'm taking this one.
Comment 3 Bohuslav "Slavek" Kabrda 2011-12-21 07:30:20 EST
- According to ruby naming guidelines [1], the name should be ruby-korundum.
- License should be GPLv2+ and LGPLv2+:
[bkabrda@localhost BUILD]$ licensecheck -r korundum-4.7.90/ | grep LGPL
korundum-4.7.90/tools/rbkconfig_compiler/rbkconfig_compiler.cpp: LGPL (v2 or later) 
korundum-4.7.90/modules/akonadi/examples/akonamail/mainwidget.rb: LGPL (v2 or later)
(also, see COPYING and COPYING.LIB, where GPLv2+, resp. LGPLv2+ are mentioned).
- All the imports work only when you first require 'Qt', otherwise they throw "NameError: uninitialized constant QtWebKit::Internal::Qt" and similar. Because there is not much documentation available, I'm not sure if it should be that way or if it is bug. Could you please clarify this?
- Also, one minority: Url should be uppercase, so URL :)
- Otherwise, the package looks good, so when you correct these things, I think it will be ok.

[1] https://fedoraproject.org/wiki/Packaging:Ruby#Naming_Guidelines
Comment 4 Rex Dieter 2011-12-21 15:28:36 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdebindings/ruby-korundum.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/kdebindings/ruby-korundum-4.7.90-1.fc16.src.rpm

%changelog
* Wed Dec 21 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-2
- rename to ruby-korundum
- License: GPLv2+ and LGPLv2+

can't speak for the runtime oddities found, I'm mostly just a package monkey here.
Comment 5 Bohuslav "Slavek" Kabrda 2011-12-22 01:50:56 EST
- Ok, as for the runtime, I'll try to get someone who understands what it should and shouldn't behave like.
- One more thing - currently, I noticed no runnable tests, but it may be a good idea to add a %check section that would run "make test", just for future use, when the authors will actually add some tests (but this is definitely not a blocker, since there are no actual tests).
Comment 6 Jaroslav Reznik 2012-01-02 07:38:03 EST
The package is ok from the kde/qt packaging view. Already packaged in Fedora, this is a split of previously monolithic kdebindings package.
Comment 7 Bohuslav "Slavek" Kabrda 2012-01-02 07:41:58 EST
Ok, since there are no other blockers, this package is APPROVED.
Comment 8 Rex Dieter 2012-01-02 13:23:34 EST
New Package SCM Request
=======================
Package Name: ruby-korundum
Short Description: Ruby bindings for KDE libraries
Owners: than jreznik ltinkl rnovacek rdieter kkofler
Branches: f16
InitialCC:
Comment 9 Jon Ciesla 2012-01-03 08:31:15 EST
Git done (by process-git-requests).
Comment 10 Rex Dieter 2012-01-03 08:59:46 EST
thanks!

imported.
Comment 11 Fedora Update System 2012-01-17 10:55:09 EST
ruby-korundum-4.7.4-1.fc16,ruby-qt-4.7.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ruby-korundum-4.7.4-1.fc16,ruby-qt-4.7.4-1.fc16
Comment 12 Fedora Update System 2012-01-25 17:27:53 EST
ruby-korundum-4.7.4-1.fc16, ruby-qt-4.7.4-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.